#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	XQilla - C++ implementation of XQuery and XPath 2.0 based on Xerces-C
Summary(pl.UTF-8):	XQilla - implementacja C++ XQuary i XPath 2.0 oparta na bibliotece Xerces-C
Name:		xqilla
Version:	2.3.4
Release:	1
License:	Apache v2.0
Group:		Libraries
Source0:	http://downloads.sourceforge.net/xqilla/XQilla-%{version}.tar.gz
# Source0-md5:	9b77644c8b0d0741d895d3ccfbfe0016
Patch0:		%{name}-link.patch
Patch1:		%{name}-soname.patch
URL:		http://xqilla.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	faxpp-devel
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tidy-devel
BuildRequires:	xerces-c-devel >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XQilla - C++ implementation of XQuery and XPath 2.0 based on Xerces-C.

%description -l pl.UTF-8
XQilla - implementacja C++ XQuary i XPath 2.0 oparta na bibliotece
Xerces-C.

%package devel
Summary:	Header files for XQilla library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XQilla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	faxpp-devel
Requires:	libstdc++-devel
Requires:	tidy-devel
Requires:	xerces-c-devel >= 3

%description devel
Header files for XQilla library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XQilla.

%package static
Summary:	Static XQilla library
Summary(pl.UTF-8):	Statyczna biblioteka XQilla
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XQilla library.

%description static -l pl.UTF-8
Statyczna biblioteka XQilla.

%package apidocs
Summary:	XQilla API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki XQilla
Group:		Documentation
%{?noarchpackage}

%description apidocs
API and internal documentation for XQilla library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki XQilla.

%prep
%setup -q -n XQilla-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I autotools/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-faxpp=/usr \
	--with-xerces=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/xqilla
%attr(755,root,root) %{_libdir}/libxqilla.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxqilla.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxqilla.so
%{_libdir}/libxqilla.la
%{_includedir}/xqilla
%{_includedir}/xqc.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxqilla.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/{dom3-api,simple-api,xqc-api,*.html}
%endif
%changelog
* Tue Nov 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xqilla.git;a=log;h=master

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0e6de20
- updated to 2.3.4
- updated soname patch
- removed obsolete xerces patches

* Thu Dec 14 2017 Jakub Bogusz <qboosh@pld-linux.org> c606cc0
- release 3 (rebuild with tidy 5)

* Fri Nov 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 5beb168
- added patches for compatibility with xerces 3.2
- release 2

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 56965b8
- updated to 2.3.3
- updated link patch (don't override LDFLAGS as it killed ours, set proper _LIBADD instead)
- updated soname patch (so versioning mistake continued)

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> d531bae
- updated to 2.3.2
- added soname patch (don't decrease soname, probably libtool versioning mistake)

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 266a358
- noarch apidocs

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8435e73
- release 4 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> ac74620
- release 3 (by relup.sh)

* Wed Nov 21 2012 Jan Rękorajski <baggins@pld-linux.org> 5c721b2
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 9615bcf
- cleanup

* Sat Aug 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 7df9f4d
- enabled faxpp support

* Fri Aug 03 2012 Jakub Bogusz <qboosh@pld-linux.org> a0c0ca5
- new

